Digilocker 2.0 Get Files
Introduction
The Get Files API is a powerful solution that simplifies the process of retrieving file IDs from Digilocker by giving requestID (fetched from Create URL API) as input. The file IDs are then used to fetch files in pdf and xml format from Pull documents v2 API.
Note: If PAN is not linked with Digilocker Digilocker account of customer, you won't find the file details in here. Please use Pull documents v2 API for pulling PAN in that case.
API details
Endpoint
POST https://api.signzy.app/api/v3/digilocker-v2/getFilesPOST https://api-preproduction.signzy.app/api/v3/digilocker-v2/getFilesRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameter
Parameter | Data Type | Description | Required |
|---|---|---|---|
requestId | String | Unique ID allocated after the authorization in digilocker iframe. This is returned as “requestId” in Create URL API. | Mandatory |
fileIds | Array of Strings | List of file IDs of the specific user for which details are requested. File ID is a unique ID that contains the issuer ID , DocType and the unique Identification number of the specific document. (For example: in.gov.transport-DRVLC-Driving License number of the individual) | Mandatory |
{
"requestId" : "6523e2dc5a9f9000112b19d8",
"fileIds" : [
"in.gov.transport-DRVLC-TN8920000007545"
]
}Code samples
curl --location 'https://api-preproduction.signzy.app/api/v3/digilocker-v2/getFiles' \
--header 'Authorization: <Your Access token>' \
--header 'Content-Type: application/json' \
--data '{
"requestId" : "6523dcd58cd545434f7af0a2"
}'Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
result.files | Array | List of files associated with the requested file IDs. |
result.files.name | String | Name of the document. |
result.files.type | String | Type of the document. Possible response “file” |
result.files.size | String | Size of the document file. (If available). |
result.files.date | String | Date when the file details are fetched. In format DD/MM/YYYY. |
result.files.parent | String | Parent of the user. (If available) |
result.files.mime | Array | Multipurpose Internet Mail Extensions (MIME).Specifies the available format of data. |
result.files.doctype | String | The type of document. Refer to Get List of Document API for all possible responses. |
result.files.description | String | Description of the document. Refer to Get List of Document API for all possible responses. |
result.files.issuerid | String | The issuer’s ID associated with the document. |
result.files.issuer | String | The issuer of the document. |
result.files.id | String | Unique ID that contains the issuer ID , DocType and the unique Identification number of the specific document. (For example: in.gov.transport-DRVLC-Driving License number of the individual) |
result.files.file | Object | Documents in different formats |
result.files.file.pdf | String | Documents in pdf format |
result.files.file.xml | String | Documents in xml format |
// If the customer denies consent for accessing data on the digilocker screen
{
"error": {
"statusCode": 400,
"name": "error",
"message": "User denied the consent, please try again",
"status": 400,
"reason": "AUTH_FAIL",
"type": "Bad Request"
}
}
// If the customer clicks on “Return to Signzy” anytime during the digilocker journey
{
"error": {
"statusCode": 400,
"name": "error",
"message": "User cancelled the journey, please try again",
"status": 400,
"reason": "AUTH_FAIL",
"type": "Bad Request"
}
}
// Invalid Request ID
Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!